Summary: Displays e-mail messages matching a pattern
Name: mboxgrep
Version: 0.7.9
Release: 2%{?dist}
License: GPL
Group: Applications/Internet
Source0: http://download.sourceforge.net/mboxgrep/mboxgrep-0.7.9.tar.gz
URL: http://www.mboxgrep.org
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: zlib-devel, bzip2-devel, pcre-devel
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

%description
mboxgrep is a small utility that scans a mailbox for messages matching a
basic, extended, or Perl-compatible regular expression. Selected
messages can be either displayed on standard output, counted, piped to a
command or written to another mailbox.
It supports mbox (both plain and compressed), MH, nnmh, nnml and maildir
folders.

%prep
%setup -q

%build
%configure
%{__make} %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/mboxgrep
%{_mandir}/man1/mboxgrep.1*
%{_infodir}/mboxgrep.info*

%changelog
* Wed Mar 29 2006 Andreas Thienemann <andreas@bawue.net> 0.7.9-2
- Cleaned up for FE

* Wed May 26 2004 Andreas Thienemann <andreas@bawue.net> 0.7.9-1
- Initial RPM release.
